package Zinema;

/*
Zinema bat inplementatu behar da, Covid-19a dela eta eserluen erdiak bakarrik daude erabilgarri, 
E eserletu EL=E/2 erabilgarri. Hainbat pertsonak filmearen proiekzioa ikusi
nahi dute, eserleku libreen kopurua baina altuagoa bada ez dira batzuk sartuko lehen tokian sarrera 
lortu dutenak bakarrik sartuko dira. Akomodadorea aretoko sarreran egongo da
eta ikusleak iristen direnean zerbitzatuko ditu, filmea hasten denean atseden gelara joango da 
eta bertan itxarongo du filmea amaitu arte. Ikusleak filmearen proiekzioan zehar komuneran joan ahalko dira eta 
filmea ez bazaie gustatzen etxera joan ahalko dira. Filmea sartzeko zain inor ez dagoenean hasiko da, 
denbora tarte bat eta gero amaitu egingo da eta orduan ikusle guztiak etxera itzuliko dira. 
Behin erabat hustu denean sartu ahalko dute hurrengo proiekzioa ikusi nahi duten pertsonak.
 */

public class ZinemaApp {
	final static int IK=25;
	final static int E=40;
	final static int EL=E/2;
	
	public static void main(String[] args) {
		Framea frame = new Framea();
		frame.setVisible(true);
		Pantaila p = new Pantaila(IK);
		p.hasiera();
		boolean libre[]=new boolean[EL];
		for(int i=0; i<EL; i++) {
			libre[i]=true;
		}
		Butaka b = new Butaka (EL, IK, p, libre);
		Filma f = new Filma (b, frame);
		Akomodadore a = new Akomodadore (b, p, frame);
		Ikusle ik[] = new Ikusle[IK];
		for(int i=0; i<IK; i++) {
			ik[i] = new Ikusle(b, p, i, frame);
			ik[i].start();
		}
		f.start();
		a.start();
	}
}
