package Zinema;

public class Ikusle extends Thread{
	private int ek;
	private int max = 1000;//50000000 
	private int min = 1; 
	private int range = max - min + 1; 
	private int r1;
	private int r2;
	private int c=0;
	private boolean a;
	private int i;
	private int j=0;
	
	private Butaka b;
	private Pantaila p;
	private int id;
	private Framea frame;
	
	public Ikusle (Butaka b, Pantaila p, int id, Framea frame) {
		this.b=b;
		this.p=p;
		this.id=id;
		this.frame=frame;
	}
	
	/*
	  	IKUSLE = (iritsi -> I1),
		I1  = (eserlekuLibre[ek:REL]->	if(ek>0)       then I2
							 	   			   else I7),
		I2 = (sartu -> begiratu[b1:Bool][b2:Bool][b3:Bool] -> if (b1==1) then  (eseri -> I3)
									   			 				 else if (b2==1) then (eseri -> I3)
									   				   						     else if (b3==1) then (eseri -> I3)),
		I3 = (bukatuDa[a:Bool]->		if(a==1) 	   then (ikusi -> I4)
								  			   else I3),
		I4 = (komunera[b1:R]->			if(b1>=2)      then I5
								   			   else (komuneraJoan -> bukatuDa[a:Bool] -> if(a==1) then I3
																								  else (irten->I7))),
		I5 = (gustokoa[b2:R]->			if(b2>=2)	   then I6
								   			   else (irten -> I7)),
		I6 = (bukatuDa[a:Bool]->		if(a==0) 	   then (irten -> I7)
								  			   else I4),
		I7 = (etxeraJoan -> IKUSLE).
	 */
	
	public void run() {
		while(true) {
			try {
				switch (c){
				case 0:
					itxaron(1000);
					p.iritsi(id);
					//Sarreran jarri
					frame.panela.setX(id+1, 5);
					frame.panela.setY(id+1, 530);
					c=1;
					break;
				case 1:
					//Sarrerak erosi
					mugitu(0,5,530,150,385);
					itxaron(1000);
					ek=b.eserlekuLibre();
					if(ek>0) {
						c=2;
						//Kolara joan
						mugitu(1,150,385,255,475);
					}else {
						c=7;
						//Irten
						mugitu(2,150,385,5,530);
					}
					break;
				case 2:
					//itxaron(1000);
					b.sartu(id);
					mugitu(0,255,475,425,420);
					itxaron(1000);
					i=b.begiratu(id);
					itxaron(1000);
					b.eseri(id,i);
					butaka(i+1,0);
					butaka(i+1,3);
					c=3;
					break;
				case 3:
					a=b.bukatuDa();
					if(a) {
						itxaron(1000);
						p.ikusi(id);
						c=4;
					}else {
						c=3;
					}
					break;
				case 4:
					itxaron(1000);
					r1=(int)(Math.random() * range) + min;
					if(r1>15) {
						c=5;
					}else {
						itxaron(1000);
						butaka(i+1,1);
						p.komuneraJoan(id);
						a=b.bukatuDa();
						if(a) {
							c=3;
						}else {
							butaka(i+1,2);
							b.irten(id,i);
							c=7;
						}
					}
					break;
				case 5:
					itxaron(1000);
					r2=(int)(Math.random() * range) + min;
					if(r2>8) {
						c=6;
					}else {
						butaka(i+1,2);
						itxaron(1000);
						b.irten(id,i);
						c=7;
					}
					break;
				case 6:
					a=b.bukatuDa();
					if(a==false) {
						butaka(i+1,2);
						itxaron(1000);
						b.irten(id,i);
						c=7;
					}else {
						c=4;
					}
					break;
				case 7:
					//itxaron(1000);
					frame.panela.setX(id+1,-100);
					frame.panela.setY(id+1,-100);
					p.etxeraJoan(id);
					itxaron(10000);
					c=0;
					break;
				}
			}catch(InterruptedException e) {}
		}
	}
	
	public void itxaron(int denb) {
		try {
			sleep((long)(Math.random()*denb));
		} catch (InterruptedException e) {}
	}
	
	public void mugitu(int c, int x, int y, int mugx, int mugy) {
		/*
		 * 0:x<mugx//y>mugy
		 * 1:x<mugx//y<mugy
		 * 2:x>mugx//y<mugy
		 * 3:y>mugy//x>mugx
		 * 4:y>mugy//x<mugx
		 * 5:y<mugy//x<mugx
		 * 6:x>mugx//y>mugy
		 */
		switch(c) {
		case 0:
			j=x;
			while(j<mugx){
				j=j+5;
				frame.panela.setX(id+1,j);
				itxaron(25);
			}
			j=y;
			while(j>mugy){
				j=j-5;
				frame.panela.setY(id+1,j);
				itxaron(25);
			}
			break;
		case 1:
			j=x;
			while(j<mugx){
				j=j+5;
				frame.panela.setX(id+1,j);
				itxaron(25);
			}
			j=y;
			while(j<mugy){
				j=j+5;
				frame.panela.setY(id+1,j);
				itxaron(25);
			}
			break;
		case 2:
			j=x;
			while(j>mugx){
				j=j-5;
				frame.panela.setX(id+1,j);
				itxaron(25);					
			}
			j=y;
			while(j<mugy){
				j=j+5;
				frame.panela.setY(id+1,j);
				itxaron(25);
			}
			break;
		case 3:
			j=y;
			while(j>mugy){
				j=j-5;
				frame.panela.setY(id+1,j);
				itxaron(25);
			}
			j=x;
			while(j>mugx){
				j=j-5;
				frame.panela.setX(id+1,j);
				itxaron(25);					
			}
			break;
		case 4:
			j=y;
			while(j>mugy){
				j=j-5;
				frame.panela.setY(id+1,j);
				itxaron(25);
			}
			j=x;
			while(j<mugx){
				j=j+5;
				frame.panela.setX(id+1,j);
				itxaron(25);
			}
			break;
		case 5:
			j=y;
			while(j<mugy){
				j=j+5;
				frame.panela.setY(id+1,j);
				itxaron(25);
			}
			j=x;
			while(j<mugx){
				j=j+5;
				frame.panela.setX(id+1,j);
				itxaron(25);
			}
			break;
		case 6:
			j=x;
			while(j>mugx){
				j=j-5;
				frame.panela.setX(id+1,j);
				itxaron(25);
			}
			j=y;
			while(j>mugy){
				j=j-5;
				frame.panela.setY(id+1,j);
				itxaron(25);
			}			
			break;
		}
	}
	
	public void butaka(int i, int auk) {
		/*
		 * auk=0->eserleku aurreraino joan
		 * auk=1->komunera joan eta komunetik itzuli
		 * auk=2->zinematik irten
		 * auk=3->eserlekuan eseri
		 */
		switch (i) {
		//1. lerroa ezkerra
		case 1:
			if(auk==0) {
				mugitu(3,425,420,50,35);
			}else if(auk==1) {
				mugitu(4,50,45,425,35);
				mugitu(5,425,35,725,475);
				itxaron(100);
				mugitu(6,725,475,425,35);
				mugitu(2,425,35,50,60);
			}else if(auk==2){
				mugitu(4,50,45,885,30);
			}else {
				mugitu(5,50,35,50,65);
			}
			break;
		case 2:
			if(auk==0) {
				mugitu(3,425,420,195,35);
			}else if(auk==1) {
				mugitu(4,195,45,425,35);
				mugitu(5,425,35,725,475);
				itxaron(100);
				mugitu(6,725,475,425,35);
				mugitu(2,425,35,195,60);
			}else if(auk==2){
				mugitu(4,195,45,885,30);
			}else {
				mugitu(5,195,35,195,65);
			}
			break;
		//1. lerroa eskubi
		case 3:
			if(auk==0) {
				mugitu(4,425,420,560,30);
			}else if(auk==1) {
				mugitu(3,560,40,425,30);
				mugitu(5,425,30,725,475);
				itxaron(100);
				mugitu(6,725,475,425,35);
				mugitu(1,425,35,560,55);
			}else if(auk==2){
				mugitu(4,560,40,885,30);
			}else {
				mugitu(5,560,30,525,65);
			}
			break;
		case 4:
			if(auk==0) {
				mugitu(4,425,420,705,30);
			}else if(auk==1) {
				mugitu(3,705,40,425,30);
				mugitu(5,425,30,725,475);
				itxaron(100);
				mugitu(6,725,475,425,30);
				mugitu(1,425,30,705,55);
			}else if(auk==2){
				mugitu(4,705,40,885,30);
			}else {
				mugitu(5,705,30,675,65);
			}
			break;
		//2. lerroa ezkerra
		case 5:
			if(auk==0) {
				mugitu(3,425,420,130,100);
			}else if(auk==1) {
				mugitu(4,130,110,425,100);
				mugitu(5,425,100,725,475);
				itxaron(100);
				mugitu(6,725,475,425,100);
				mugitu(2,425,100,110,135);
			}else if(auk==2){
				mugitu(4,130,110,425,100);
				mugitu(4,425,100,885,30);
			}else {
				mugitu(5,130,100,110,135);
			}
			break;
		case 6:
			if(auk==0) {
				mugitu(3,425,420,285,100);
			}else if(auk==1) {
				mugitu(4,285,110,425,100);
				mugitu(5,425,100,725,475);
				itxaron(100);
				mugitu(6,725,475,425,100);
				mugitu(2,425,100,285,135);
			}else if(auk==2){
				mugitu(4,285,110,425,100);
				mugitu(4,425,100,885,30);
			}else {
				mugitu(5,285,100,285,135);
			}
			break;
		//2. lerroa  eskubi
		case 7:
			if(auk==0) {
				mugitu(4,425,420,630,100);
			}else if(auk==1) {
				mugitu(3,630,110,425,100);
				mugitu(5,425,100,725,475);	
				itxaron(100);
				mugitu(6,725,475,425,100);
				mugitu(1,425,100,630,135);			
			}else if(auk==2){
				mugitu(3,630,110,425,100);
				mugitu(4,425,100,885,30);
			}else {
				mugitu(5,630,100,630,135);
			}
			break;
		case 8:
			if(auk==0) {
				mugitu(4,425,420,785,100);
			}else if(auk==1) {
				mugitu(3,785,110,425,100);
				mugitu(5,425,100,725,475);
				itxaron(100);
				mugitu(6,725,475,425,100);
				mugitu(1,425,100,785,135);
			}else if(auk==2){
				mugitu(3,785,110,425,100);
				mugitu(4,425,100,885,30);
			}else {
				mugitu(5,785,100,785,135);
			}
			break;
		//3. lerroa ezkerra
		case 9:
			if(auk==0) {
				mugitu(3,425,420,50,175);
			}else if(auk==1) {
				mugitu(4,50,185,425,175);
				mugitu(5,425,175,725,475);
				itxaron(100);
				mugitu(6,725,475,425,175);
				mugitu(2,425,175,50,210);
			}else if(auk==2){
				mugitu(4,50,185,425,175);
				mugitu(4,425,175,885,30);
			}else {
				mugitu(5,50,175,50,210);
			}
			break;
		case 10:
			if(auk==0) {
				mugitu(3,425,420,195,175);
			}else if(auk==1) {
				mugitu(4,195,185,425,175);
				mugitu(5,425,175,725,475);
				itxaron(100);
				mugitu(6,725,475,425,175);
				mugitu(2,425,175,195,210);
			}else if(auk==2){
				mugitu(4,195,185,425,175);
				mugitu(4,425,175,885,30);
			}else {
				mugitu(5,195,175,195,210);
			}
			break;
		//3. lerroa eskubi
		case 11:
			if(auk==0) {
				mugitu(4,425,420,560,175);
			}else if(auk==1) {
				mugitu(3,560,185,425,175);
				mugitu(5,425,175,725,475);
				itxaron(100);
				mugitu(6,725,475,425,175);
				mugitu(1,425,175,555,205);
			}else if(auk==2){
				mugitu(3,560,185,425,175);
				mugitu(4,425,175,885,30);
			}else {
				mugitu(5,560,175,555,205);
			}
			break;
		case 12:
			if(auk==0) {
				mugitu(4,425,420,705,175);
			}else if(auk==1) {
				mugitu(3,705,185,425,175);
				mugitu(5,425,175,725,475);
				itxaron(100);
				mugitu(6,725,475,425,175);
				mugitu(1,425,175,705,205);
			}else if(auk==2){
				mugitu(3,705,185,425,175);
				mugitu(4,425,175,885,30);
			}else {
				mugitu(5,705,175,705,205);
			}
			break;
		//4. lerroa ezkerra
		case 13:
			if(auk==0) {
				mugitu(3,425,420,130,245);
			}else if(auk==1) {
				mugitu(4,130,255,425,245);
				mugitu(5,425,245,725,475);
				itxaron(100);
				mugitu(6,725,475,425,245);
				mugitu(2,425,245,115,275);
			}else if(auk==2){
				mugitu(4,130,255,425,245);
				mugitu(4,425,245,885,30);
			}else {
				mugitu(2,130,245,115,275);
			}
			break;
		case 14:
			if(auk==0) {
				mugitu(3,425,420,285,245);
			}else if(auk==1) {
				mugitu(4,285,255,425,245);
				mugitu(5,425,245,725,475);
				itxaron(100);
				mugitu(6,725,475,425,245);
				mugitu(2,425,245,285,275);
			}else if(auk==2){
				mugitu(4,285,255,425,245);
				mugitu(4,425,245,885,30);
			}else {
				mugitu(5,285,245,285,275);
			}
			break;
		//4. lerroa eskubi
		case 15:
			if(auk==0) {
				mugitu(4,425,420,630,245);
			}else if(auk==1) {
				mugitu(3,630,255,425,245);
				mugitu(5,425,245,725,475);
				itxaron(100);
				mugitu(6,725,475,425,245);
				mugitu(1,425,245,620,270);
			}else if(auk==2){
				mugitu(3,630,255,425,245);
				mugitu(4,425,245,885,30);
			}else {
				mugitu(5,630,245,620,270);
			}
			break;
		case 16:
			if(auk==0) {
				mugitu(4,425,420,785,245);
			}else if(auk==1) {
				mugitu(3,785,255,425,245);
				mugitu(5,425,245,725,475);
				itxaron(100);
				mugitu(6,725,475,425,245);
				mugitu(1,425,245,785,270);
			}else if(auk==2){
				mugitu(3,785,255,425,245);
				mugitu(4,425,245,885,30);
			}else {
				mugitu(5,785,245,785,270);
			}
			break;
		//5. lerroa ezkerra
		case 17:
			if(auk==0) {
				mugitu(3,425,420,50,305);
			}else if(auk==1) {
				mugitu(4,50,315,425,305);
				mugitu(5,425,305,725,475);
				itxaron(100);
				mugitu(6,725,475,425,305);
				mugitu(2,425,305,50,340);
			}else if(auk==2){
				mugitu(4,50,315,425,305);
				mugitu(4,425,305,885,30);
			}else {
				mugitu(5,50,305,50,340);
			}
			break;
		case 18:
			if(auk==0) {
				mugitu(3,425,420,195,305);
			}else if(auk==1) {
				mugitu(4,195,315,425,305);
				mugitu(5,425,305,725,475);
				itxaron(100);
				mugitu(6,725,475,425,305);
				mugitu(2,425,305,195,340);
			}else if(auk==2){
				mugitu(4,195,315,425,305);
				mugitu(4,425,305,885,30);
			}else {
				mugitu(5,195,305,195,340);
			}
			break;
		//5. lerroa eskubi
		case 19:
			if(auk==0) {
				mugitu(4,425,420,560,305);
			}else if(auk==1) {
				mugitu(3,560,315,425,305);
				mugitu(5,425,305,725,475);
				itxaron(100);
				mugitu(6,725,475,425,305);
				mugitu(1,425,305,560,335);
			}else if(auk==2){
				mugitu(3,560,315,425,305);
				mugitu(4,425,305,885,30);
			}else {
				mugitu(5,560,305,560,335);
			}
			break;
		case 20:
			if(auk==0) {
				mugitu(4,425,420,705,305);
			}else if(auk==1) {
				mugitu(3,705,315,425,305);
				mugitu(5,425,305,725,475);
				itxaron(100);
				mugitu(6,725,475,425,305);
				mugitu(1,425,305,705,335);
			}else if(auk==2){
				mugitu(3,705,315,425,305);
				mugitu(4,425,305,885,30);
			}else {
				mugitu(5,705,305,705,335);
			}
			break;
		}
	}
}
