package Zinema;

public class Pantaila {
	private int IK;
	
	public Pantaila(int IK) {
		this.IK=IK;
	}
	
	synchronized public void hasiera() {
		System.out.print("Akomodadore\t");
		for (int i = 1; i < IK+1; i++) {
			System.out.print("Ikusle[" + (i-1) + "]\t");
		}
		System.out.print("Filma\t");
		System.out.println("");
		for (int i = 0; i < IK+2; i++) {
			System.out.print("+++++++++++++++");
		}
		System.out.println("");
	}
	
	public void posizionatu (int id) {
		for(int i=0; i<id; i++) {
			System.out.print("\t\t");
		}
	}
	
	//////////////////////////////////////////////////////////
	
	public void iritsi(int id) {
		posizionatu(id+1);
		System.out.println(id+"iritsi da");
	}
	
	public void ikusi(int id) {
		posizionatu(id+1);
		System.out.println(id+"ikusten");
	}
	
	public void komuneraJoan(int id) {
		posizionatu(id+1);
		System.out.println(id+"komunera doa");
	}
	
	public void etxeraJoan(int id) {
		posizionatu(id+1);
		System.out.println(id+"etxera doa");
	}
	
	//////////////////////////////////////////////////////////
	
	public void sartu(int id) {
		posizionatu(id+1);
		System.out.println(id+"sartu da");
	}
	
	public void eseri(int id) {
		posizionatu(id+1);
		System.out.println(id+"eseri da");
	}
	
	public void irten(int id) {
		posizionatu(id+1);
		System.out.println(id+"irten da");
	}
	
	public void eserlekuLibre(int id) {
		posizionatu(id+1);
		System.out.println(id+"iritsi da");
	}
	
	/////////////////////////////////////////////////////////
	
	public void hasi() {
		posizionatu(IK+1);
		System.out.println("filma hasi da");
	}
	
	public void amaitu() {
		posizionatu(IK+1);
		System.out.println("filma amaitu da");
	}
	
	public void hustu() {
		posizionatu(IK+1);
		System.out.println("zinema hustu da");
	}
	
	/////////////////////////////////////////////////////////
	
	public void lagundu() {
		posizionatu(0);
		System.out.println("laguntzen");
	}
	
	public void deskantsatu() {
		posizionatu(0);
		System.out.println("atsen hartzen");
	}
	
	public void itzuli() {
		posizionatu(0);
		System.out.println("itzuli da");
	}
}
